Loading...
Searching...
No Matches
window.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | ARC_WindowInfo

## Typedefs

typedef struct ARC_WindowType | ARC_Window
typedef struct ARC_WindowInfo | ARC_WindowInfo

## Functions

void | ARC_Window_Create (ARC_Window **window, ARC_WindowInfo *info)
| creates ARC_Window type
void | ARC_Window_Destroy (ARC_Window *window)
| destroys ARC_Window type

## Typedef Documentation

## ARC_Window

typedef struct ARC_WindowType ARC_Window

Note
  ARC_WindowType is determined by which window backend you are using

Definition at line 13 of file window.h.

## ARC_WindowInfo

typedef struct ARC_WindowInfo ARC_WindowInfo

Note
  certain parts of ARC_WindowInfo may not be used by your selected backend

## Function Documentation

## ARC_Window_Create()

void ARC_Window_Create | ( | ARC_Window ** | window,
|  | ARC_WindowInfo * | info )

creates ARC_Window type

Note
  the parameter data is determined by which graphics library you are using please refer to the graphics library section to see what needs to be passed

Parameters

  window | ARC_Window to initialize
  info | Info on how to create ARC_Window

## ARC_Window_Destroy()

void ARC_Window_Destroy | ( | ARC_Window * | window | ) |

destroys ARC_Window type